﻿/**Begin D:\PDM_UPGRADE\PDM1\HRDI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDI_DATAMAPPINGLOG') 
 CREATE TABLE T_HRDI_DATAMAPPINGLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FDATAMAPRECORDID BIGINT DEFAULT 0 NOT NULL,
FSTARTOFFSET VARCHAR(50) DEFAULT ' ' NOT NULL,
FENDOFFSET VARCHAR(50) DEFAULT ' ' NOT NULL,
FRETRYCOUNT INT DEFAULT 0 NOT NULL,
FHANDLESTATUS VARCHAR(2) DEFAULT '0' NOT NULL,
FERRORINFO_TAG NCLOB,
FERRORINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDI_INTLOG') 
 CREATE TABLE T_HRDI_INTLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FINTSOURCEID BIGINT DEFAULT 0 NOT NULL,
FBATCHNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATETYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FOPERATESTATUS VARCHAR(2) DEFAULT '0' NOT NULL,
FERRORINFO_TAG NCLOB,
FERRORINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FDATACOUNT INT DEFAULT 0 NOT NULL,
FSTARTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FENDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELECTNUMBER_TAG NCLOB,
FSELECTNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FRETRYCOUNT INT DEFAULT 0 NOT NULL,
FLASTRETRYTIME DATETIME,
FTRANSTARTTIME DATETIME,
FTRANENDTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDI_DATAMAPPINGRECORD') 
 CREATE TABLE T_HRDI_DATAMAPPINGRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FINTSOURCEID BIGINT DEFAULT 0 NOT NULL,
FINITENTITYOBJECT VARCHAR(36) DEFAULT ' ' NOT NULL,
FMIDTABLENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBATCHNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTOFFSET VARCHAR(50) DEFAULT ' ' NOT NULL,
FENDOFFSET VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUCCESSCOUNT INT DEFAULT 0 NOT NULL,
FFAILCOUNT INT DEFAULT 0 NOT NULL,
FRELATIONINFO NCLOB,
FHANDLESTATUS VARCHAR(50) DEFAULT '0' NOT NULL,
FTOTALCOUNT INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);



/**End D:\PDM_UPGRADE\PDM1\HRDI_table.sql **/
